<?php

$customExportsExcel = [];
foreach ($this->customExportsExcel as $custom) {
	if ($custom->getReference() === 'income') {
		$customExportsExcel[] = $custom;
	}
}

?>

<div
	ng-controller="incomeController as self"
	ng-init="self.init(<?= $this->ht ? 'true' : 'false' ?>)"
>
	<table-builder options="self.options" class="table-builder">
		<div class="row">
			<div class="col-md-4">
				<table-builder-columns></table-builder-columns>
			</div>

			<?php if ($this->acl()->isAllowed('application:e:query:r')): ?>
				<div class="col-md-4 col-md-offset-4">
					<div class="queries-toggler little-panel">
						<div href="#queries-collapsed-node-tree-income"
						     data-toggle="collapse"
						     class="title">
							<i class="fa fa-shopping-basket fa-fw"></i>
							Requêtes
						</div>

						<div id="queries-collapsed-node-tree-income"
						     class="body collapse">
							<div ng-if="self.loadingQueries"
							     class="text-center">
								<i class="fa fa-spin fa-circle-o-notch"></i>
							</div>

							<ul class="list-unstyled">
								<li ng-repeat="query in self.queries">
									<a ng-click="self.loadQuery(query)"
									   class="pointer">
										<i ng-if="query.shared" class="fa fa-share-alt"></i> {{ query.name }}
									</a>

									<i ng-click="self.deleteQuery(query)" ng-if="query._rights.delete"
									   tooltip="Supprimer"
									   class="fa fa-trash pointer pull-right">
									</i>
								</li>
							</ul>

							<form ng-submit="self.saveQuery()"
							      name="queryForm">
								<div class="input-group input-group-sm">
									<input ng-model="self.query.name"
									       placeholder="Nom de la requête"
									       type="text"
									       class="form-control"
									       required/>

									<span class="input-group-btn">
										<label class="checkbox-inline" style="margin: 0 10px">
											<input type="checkbox" ng-model="self.query.shared"/>
											Partagée ?
										</label>

										<button ng-disabled="self.loadingSaveQuery"
										        type="submit"
										        class="btn btn-submit">
											<i ng-if="self.loadingSaveQuery"
											   class="fa fa-spin fa-circle-o-notch">
											</i>
											Enregistrer
										</button>
									</span>
								</div>

								<field-errors field="name" errors="errors.fields"></field-errors>
							</form>
						</div>
					</div>
				</div>
			<?php endif ?>

		</div>
		<div class="row">
			<div class="col-md-4">
				<div ng-controller="projectFilterController as filter"
				     ng-init="filter.init('project', self.filters.project)"
				     class="table-filters little-panel">
					<div class="title" data-toggle="collapse" href="#filters-collapsed-income-project">
						<?= $this->icon('filters', 'fa-fw') ?>
						<?= $this->translate('filters') ?>
						<?= ucfirst($this->translate('project_entity')) ?>
					</div>
					<div id="filters-collapsed-income-project" class="body collapse project">
						<?php
						$fieldsToRemove = $this->isMaster
							? ['networkAccessible', 'managers', 'validators', 'members', 'actors', 'ownership', 'parent', 'financer', 'level', 'budgetStatus']
							: [];

						echo $this->tableFilter('self.filters.project', $this->projectFilters($fieldsToRemove));
						?>
					</div>
				</div>
			</div>

			<div class="col-md-4">
				<div ng-controller="filterController as filter"
                     ng-init="filter.init('posteIncome')"
				     class="table-filters little-panel">
					<div class="title" data-toggle="collapse" href="#filters-collapsed-income-poste-incomes">
						<?= $this->icon('filters', 'fa-fw') ?>
						<?= $this->translate('filters') ?>
						<?= ucfirst($this->translate('poste_income_entity')) ?>
					</div>
					<div id="filters-collapsed-income-poste-incomes" class="body collapse">
						<?= $this->tableFilter('self.filters.posteIncome', $this->posteIncomeFilters()); ?>
					</div>
				</div>
			</div>

			<div class="col-md-4">
				<div ng-controller="filterController as filter"
                     ng-init="filter.init('income')"
				     class="table-filters little-panel">
					<div class="title" data-toggle="collapse" href="#filters-collapsed-income-income">
						<?= $this->icon('filters', 'fa-fw') ?>
						<?= $this->translate('filters') ?>
						<?= ucfirst($this->translate('income_entity')) ?>
					</div>
					<div id="filters-collapsed-income-income" class="body collapse">
						<?= $this->tableFilter('self.filters.income', $this->incomeFilters()); ?>
					</div>
				</div>
			</div>
		</div>

		<div class="row separator">
			<div class="col-md-4 col-md-offset-4">
				<div class="row">
					<div class="col-xs-6">
						<button class="btn" ng-click="self.resetFilters();">
							<?= $this->translate('table_filter_reset_button') ?>
						</button>
					</div>
					<div class="col-xs-6 text-right">
						<button class="btn" ng-click="self.applyFilters();">
							<?= $this->icon('search', 'fa-fw') ?>
							<?= $this->translate('table_filter_button') ?>
						</button>
					</div>
				</div>
			</div>
		</div>

		<div class="row separator" ng-if="self.loading">
			<div class="col-xs-12 text-center">
				<?= $this->icon('loading') ?>
			</div>
		</div>

		<div class="row">
			<div class="col-sm-12">
				<div class="inline">
					<input
						type="checkbox"
						ng-model="self.monthCumulated"
						ng-change="self.getChartData()"
						id="income-monthCumulated"
					/>
					<label for="income-monthCumulated" style="margin-right: 10px;">
						<?= $this->translate('analysis_budget_month_cumulated') ?>
					</label>

					<input
						type="checkbox"
						ng-model="self.arbo"
						ng-change="self.applyFilters()"
						id="income-arbo"
					/>
					<label for="income-arbo">
						<?= $this->translate('analysis_budget_income_arbo') ?>
					</label>
				</div>

				<div class="btn-group pull-right">
					<button
						class="btn btn-excel"
						type="button"
						ng-click="self.showExportModal()"
						tooltip="<?= $this->translate('tooltip_export_xls') ?>"
					>
						<?= $this->icon('excel', 'fa-fw pointer') ?>
					</button>
					<button
						class="btn"
						type="button"
						ng-click="
							chart.options.chart.type = chart.options.chart.type == 'multiBarChart'
								? 'lineChart'
								: 'multiBarChart';
							self.orderOnlyMultiBarChart()
						"
					>
						<i
							class="fa fa-fw"
							ng-class="{
                'fa-line-chart': chart.options.chart.type == 'multiBarChart',
                'fa-bar-chart': chart.options.chart.type == 'lineChart'
              }"
						></i>
					</button>
				</div>
			</div>
		</div>

		<div ng-if="self.projects.length > 0" class="row">
			<div class="col-xs-12">
				<nvd3 options="chart.options" data="chart.data" api="api"></nvd3>
			</div>
		</div>

		<div class="row">
			<div class="col-sm-12">
				<div class="pull-left">
                    <?= $this->translate('number_projects') ?>
                </div>
			</div>
		</div>

		<div class="row">
			<div class="col-xs-12">
				<div class="table-scroller">
					<table table-builder-table class="table table-bordered table-condensed table-hover">
						<thead>
							<tr>
								<th
									tb-column
									tb-name="tree"
									class="checkbox-column"
								></th>

								<?php if ($this->isMaster): ?>
									<th>
										<?= ucfirst($this->translate('client_entity')) ?>
									</th>
								<?php endif ?>

								<?php foreach ($this->projectGroups as $group): ?>
									<th
										tb-column
										tb-name="project.keyword.<?= $group->getId() ?>"
										tb-sortable="false"
										tb-toggle="true"
										tb-hidden="true"
									>
										<?= $group->getName() ?>
									</th>
								<?php endforeach ?>

								<th
									tb-column
									tb-name="project.code"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('project_field_code')) ?>
								</th>

								<th
									tb-column
									tb-name="project.publicationStatus"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('project_field_publicationStatus')) ?>
								</th>

								<th
									tb-column
									tb-name="project.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('project_entity')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.account.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('account_entity')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.envelope.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('envelope_entity')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.envelope.financer.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('envelope_field_financer')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('poste_income_entity')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.nature.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('poste_expense_field_nature')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.subventionAmount"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('poste_income_field_subventionAmount')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.incomes.anneeExercice"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('expense_field_anneeExercice')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.incomes.tiers"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('expense_field_tiers')) ?>
								</th>


								<th
									tb-column
									tb-name="posteIncomes.incomes.complement"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('expense_field_complement')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.incomes.name"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('income_entity')) ?>
								</th>

								<th
									tb-column
									tb-name="posteIncomes.amount"
									tb-sortable="false"
									tb-toggle="true"
								>
									<?= ucfirst($this->translate('poste_income_field_amount')) ?>
								</th>

								<?php if ($this->ht): ?>
									<th
										tb-column
										tb-name="posteIncomes.amountHT"
										tb-sortable="false"
										tb-toggle="true"
										tb-hidden="true"
									>
										<?= ucfirst($this->translate('poste_income_field_amountHT')) ?>
									</th>
								<?php endif ?>

								<th
									tb-column
									tb-name="posteIncomes.incomes.managementUnit.name"
									tb-sortable="false"
									tb-toggle="true"
									tb-hidden="false"
								>
									<?= $this->translate('income_field_managementUnit') ?>
								</th>

								<?php foreach ($this->incomeTypes as $type): ?>
									<th
										tb-column
										tb-name="posteIncomes.incomes.type.<?= $type ?>"
										tb-sortable="false"
										tb-toggle="true"
									>
										<?= $this->translate("income_type_$type") ?>
									</th>

									<?php if ($this->ht): ?>
										<th
											tb-column
											tb-name="posteIncomes.incomes.type.<?= $type ?>_ht"
											tb-sortable="false"
											tb-toggle="true"
											tb-hidden="true"
										>
											<?= $this->translate("income_type_{$type}_ht") ?>
										</th>
									<?php endif ?>
								<?php endforeach ?>

								<?php foreach ($this->posteIncomeBalances as $balance): ?>
									<th
										tb-column
										tb-name="posteIncomes.balance.<?= $balance ?>"
										tb-sortable="false"
										tb-toggle="true"
										tooltip="<?= $this->translate("poste_income_formule_$balance") ?>"
									>
										<?= $this->translate("poste_income_balance_$balance") ?>
									</th>

									<?php if ($this->ht): ?>
										<th
											tb-column
											tb-name="posteIncomes.balance.<?= $balance ?>_ht"
											tb-sortable="false"
											tb-toggle="true"
											tb-hidden="true"
											tooltip="<?= $this->translate("poste_income_formule_$balance") ?>"
										>
											<?= $this->translate("poste_income_balance_{$balance}_ht") ?>
										</th>
									<?php endif ?>
								<?php endforeach ?>

								<th
									tb-column
									tb-name="posteIncomes.incomes.date"
									tb-sortable="false"
									tb-toggle="true"
									tb-hidden="true"
								>
									<?= $this->translate("income_field_date") ?>
								</th>
							</tr>
						</thead>

						<tbody
							<?php if ($this->isMaster): ?>
								ng-repeat="(client, projects) in self.projects | groupBy: '_client.name'"
							<?php endif ?>
						>
							<?php if ($this->isMaster): ?>
								<tr ng-click="_client.open = !_client.open" class="group pointer">
									<td>
										<i
											class="fa"
											ng-class="{ 'fa-caret-right': !_client.open, 'fa-caret-down': _client.open }"
										></i>
									</td>

									<td>
										{{ client }}
									</td>

									<?php foreach ($this->projectGroups as $group): ?>
										<td></td>
									<?php endforeach ?>

									<td></td><!-- code -->
									<td></td><!-- statut -->

									<td></td><!-- fiche -->
									<td></td><!-- compte -->
									<td></td><!-- enveloppe -->
									<td></td><!-- financeur -->
									<td></td><!-- poste -->
									<td></td><!-- type -->
									<td></td><!-- montant subventionnable -->
									<td></td><!-- exercice -->
									<td></td><!-- tiers -->
									<td></td><!-- complément -->
									<td></td><!-- recette -->

									<td class="text-right">
										{{ self.getTotal('amountPosteIncomeArbo', projects) || 0 | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ self.getTotal('amountHTPosteIncomeArbo', projects) || 0 | currency : '' }} €
										</td>
									<?php endif ?>

									<td></td><!-- unité de gestion -->

									<?php foreach ($this->incomeTypes as $type): ?>
										<td class="text-right">
											{{ self.getTotal('amountIncomeArbo<?= ucfirst($type) ?>', projects) || 0 | currency : '' }} €
										</td>

										<?php if ($this->ht): ?>
											<td class="text-right">
												{{ self.getTotal('amountHTIncomeArbo<?= ucfirst($type) ?>', projects) || 0 | currency : '' }} €
											</td>
										<?php endif ?>
									<?php endforeach ?>

									<?php foreach ($this->posteIncomeBalances as $balance): ?>
										<td class="text-right">
											{{ self.getTotal('amountIncomeArbo<?= ucfirst($balance) ?>', projects) || 0 | currency : '' }} €
										</td>

										<?php if ($this->ht): ?>
											<td class="text-right">
												{{ self.getTotal('amountHTIncomeArbo<?= ucfirst($balance) ?>', projects) || 0 | currency : '' }} €
											</td>
										<?php endif ?>
									<?php endforeach ?>

									<td></td>
								</tr>
							<?php endif ?>

							<tr
								<?php if ($this->isMaster): ?>
									ng-repeat-start="project in projects"
									ng-show="_client.open"
								<?php else: ?>
									ng-repeat-start="project in self.projects"
								<?php endif ?>
								ng-click="project.open = !project.open"
								class="group"
								ng-class="{ 'pointer': project.posteIncomes }"
							>
								<td>
									<i
										ng-if="project.posteIncomes"
										class="fa"
										ng-class="{ 'fa-caret-right': !project.open, 'fa-caret-down': project.open }"
									></i>
								</td>

								<?php if ($this->isMaster): ?>
									<td></td>
								<?php endif ?>

								<?php foreach ($this->projectGroups as $group): ?>
									<td>
										<div class="comma-separated">
											<span ng-repeat="keyword in project.keywords[<?= $group->getId() ?>]">
												{{ keyword.name }}
											</span>
										</div>
									</td>
								<?php endforeach ?>

								<td>
									{{ project.code }}
								</td>

								<td>
									{{'project_publicationStatus_' + project.publicationStatus | translate}}
								</td>

								<td>
									<a
										href="<?= $this->url('project/form') ?>/{{ project.id }}"
										ng-style="{ 'margin-left': 10 * project._level + 'px' }"
									>
										{{ project.name }}
									</a>
								</td>

								<td></td><!-- compte -->
								<td></td><!-- enveloppe -->
								<td></td><!-- financeur -->
								<td></td><!-- poste -->
								<td></td><!-- type -->
								<td></td><!-- montant subventionnable -->
								<td></td><!-- exercice -->
								<td></td><!-- tiers -->
								<td></td><!-- complément -->
								<td></td><!-- recette -->

								<td class="text-right">
									{{ project.amountPosteIncomeArbo || 0 | currency : '' }} €
								</td>

								<?php if ($this->ht): ?>
									<td class="text-right">
										{{ project.amountHTPosteIncomeArbo || 0 | currency : '' }} €
									</td>
								<?php endif ?>

								<td></td><!-- unité de gestion -->

								<?php foreach ($this->incomeTypes as $type): ?>
									<td class="text-right">
										{{ project.amountIncomeArbo<?= ucfirst($type) ?> | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ project.amountHTIncomeArbo<?= ucfirst($type) ?> | currency : '' }} €
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<?php foreach ($this->posteIncomeBalances as $balance) : ?>
									<td class="text-right">
										{{ project.amountPosteIncomeArbo<?= ucfirst($balance) ?> | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ project.amountHTPosteIncomeArbo<?= ucfirst($balance) ?> | currency : '' }} €
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<td></td>
							</tr>

							<tr
								ng-repeat-start="poste in project.posteIncomes"
								<?php if ($this->isMaster): ?>
									ng-show="project.open && _client.open"
								<?php else: ?>
									ng-show="project.open"
								<?php endif ?>
								ng-click="poste.open = !poste.open"
								class="sub-group"
								ng-class="{ 'pointer': poste.incomes }"
							>
								<td>
									<i
										ng-if="poste.incomes"
										class="fa"
										ng-class="{ 'fa-caret-right': !poste.open, 'fa-caret-down': poste.open }"
									></i>
								</td>

								<?php if ($this->isMaster): ?>
									<td></td>
								<?php endif ?>

								<?php foreach ($this->projectGroups as $group): ?>
									<td></td>
								<?php endforeach ?>

								<td></td><!-- code -->
								<td></td><!-- statut -->
								<td></td><!-- fiche -->

								<td>
									<a
										ng-if="poste.account"
										href="<?= $this->url('budget/account/form') ?>/{{ poste.account.id }}"
									>
										{{ poste.account.code }} - {{ poste.account.name }}
									</a>
								</td>

								<td>
									<a
										ng-if="poste.envelope"
										href="<?= $this->url('budget/envelope/form') ?>/{{ poste.envelope.id }}"
									>
										{{ poste.envelope.name }}
									</a>
								</td>

								<td>
									<a
										ng-if="poste.envelope.financer"
										href="<?= $this->url('directory/structure/form') ?>/{{ poste.envelope.financer.id }}"
									>
										{{ poste.envelope.financer.name }}
									</a>
								</td>

								<td>
									{{ poste.name }}
								</td>
								<td>
									{{ poste.nature.name }}
								</td>
								<td class="text-right">
									{{ poste.subventionAmount | currency : '' }} €
								</td>
								<td></td><!-- exercice -->
								<td></td><!-- tiers -->
								<td></td><!-- complément -->
								<td></td><!-- recette -->

								<td class="text-right">
									{{ poste.amount | currency : '' }} €
								</td>

								<?php if ($this->ht): ?>
									<td class="text-right">
										{{ poste.amountHT | currency : '' }} €
									</td>
								<?php endif ?>

								<td></td><!-- unité de gestion -->

								<?php foreach ($this->incomeTypes as $type): ?>
									<td class="text-right">
										{{ poste.amount<?= ucfirst($type) ?> | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ poste.amountHT<?= ucfirst($type) ?> | currency : '' }} €
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<?php foreach ($this->posteIncomeBalances as $balance) : ?>
									<td class="text-right">
										{{ poste.amount<?= ucfirst($balance) ?> | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ poste.amountHT<?= ucfirst($balance) ?> | currency : '' }} €
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<td></td>
							</tr>

							<tr
								ng-repeat-end
								ng-repeat="income in poste.incomes"
								<?php if ($this->isMaster): ?>
									ng-show="project.open && poste.open && _client.open"
								<?php else: ?>
									ng-show="project.open && poste.open"
								<?php endif ?>
							>
								<td></td>

								<?php if ($this->isMaster) : ?>
									<td></td>
								<?php endif ?>

								<?php foreach ($this->projectGroups as $group): ?>
									<td></td>
								<?php endforeach ?>

								<td></td><!-- code -->
								<td></td><!-- statut -->
								<td></td><!-- fiche -->
								<td></td><!-- compte -->
								<td></td><!-- enveloppe -->
								<td></td><!-- financeur -->
								<td></td><!-- poste -->
								<td></td><!-- type -->
								<td></td><!-- montant subventionnable -->

								<td>{{ income.anneeExercice }}</td>

								<td>{{ income.tiers }}</td>

								<td>
									{{ income.complement }}
								</td>

								<td>{{income.name}}</td>
								<td></td><!-- montant -->

								<?php if ($this->ht): ?>
									<td></td>
								<?php endif ?>

								<td>
									{{income.managementUnit.name}}
								</td>

								<?php foreach ($this->incomeTypes as $type) : ?>
									<td class="text-right">
										{{ income.type == '<?= $type ?>' ? (income.amount | currency : '') + ' €' : '' }}
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ income.type == '<?= $type ?>' ? (income.amountHT | currency : '') + ' €' : '' }}
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<?php foreach ($this->posteIncomeBalances as $balance) : ?>
									<td></td>

									<?php if ($this->ht): ?>
										<td></td>
									<?php endif ?>
								<?php endforeach ?>

								<td>
									{{ income.date | dateFormat : 'DD/MM/YYYY' }}
								</td>
							</tr>

							<tr ng-repeat-end ng-if="false"></tr>
						</tbody>
						<tfoot>
							<tr class="footer">
								<td></td>

								<?php if ($this->isMaster): ?>
									<td></td>
								<?php endif ?>

								<?php foreach ($projectGroups as $group): ?>
									<td></td>
								<?php endforeach ?>

								<td></td><!-- code -->
								<td></td><!-- statut -->
								<td></td><!-- fiche -->
								<td></td><!-- compte -->
								<td></td><!-- enveloppe -->
								<td></td><!-- financeur -->
								<td></td><!-- poste -->
								<td></td><!-- type -->
								<td></td><!-- montant subventionnable -->
								<td></td><!-- exercice -->
								<td></td><!-- tiers -->
								<td></td><!-- complément -->
								<td></td><!-- recette -->

								<td class="text-right">
									{{ self.getTotal('amountPosteIncomeArbo', self.projects) || 0 | currency : '' }} €
								</td>

								<?php if ($this->ht): ?>
									<td class="text-right">
										{{ self.getTotal('amountHTPosteIncomeArbo', self.projects) || 0 | currency : '' }} €
									</td>
								<?php endif ?>

								<td></td><!-- unité de gestion -->

								<?php foreach ($this->incomeTypes as $type) : ?>
									<td class="text-right">
										{{ self.getTotal('amountIncomeArbo<?= ucfirst($type) ?>', self.projects) || 0 | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ self.getTotal('amountHTIncomeArbo<?= ucfirst($type) ?>', self.projects) || 0 | currency : '' }} €
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<?php foreach ($this->posteIncomeBalances as $balance) : ?>
									<td class="text-right">
										{{ self.getTotal('amountPosteIncomeArbo<?= ucfirst($balance) ?>', self.projects) || 0 | currency : '' }} €
									</td>

									<?php if ($this->ht): ?>
										<td class="text-right">
											{{ self.getTotal('amountHTPosteIncomeArbo<?= ucfirst($balance) ?>', self.projects) || 0 | currency : '' }} €
										</td>
									<?php endif ?>
								<?php endforeach ?>

								<td></td>
							</tr>
						</tfoot>
					</table>
				</div>
			</div>
		</div>
	</table-builder>

	<div class="modal" id="exportModalIncome">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title">
						<?= $this->translate('analysis_export_module_title') ?>
					</h4>
				</div>

				<div class="modal-body">
					<div class="row">
						<div class="col-xs-12">
							<select class="form-control" ng-model="self.exportModel">
								<option value="default">
									<?= $this->translate('time_export_default') ?>
								</option>

								<?php if (count($customExportsExcel) > 0): ?>
									<optgroup label="<?= ucfirst($this->translate('export_custom_entity')) ?>">

										<?php foreach ($customExportsExcel as $export): ?>
											<option value="<?= $export->getKey() ?>">
												<?= $export->getName() ?>
											</option>
										<?php endforeach ?>

									</optgroup>
								<?php endif ?>
							</select>
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<button class="btn btn-default" type="button" data-dismiss="modal">
						<?= $this->translate('close') ?>
					</button>

					<button
						class="btn btn-submit"
						ng-disabled="self.loading.export || !self.exportModel"
						ng-click="self.export()"
					>
						<?= $this->icon('loading', '', ['ng-if' => 'self.loading.export']) ?>
						<?= $this->translate('export') ?>
					</button>
				</div>
			</div>
		</div>
	</div>
</div>
